module Table where

data Table = Table (String -> Int)
instance Show Table where
    show x = "Table"

initialTable errorMessage = Table (\x -> error (errorMessage ++ show x))
updateTable (Table table) name offset = Table (\x -> if x == name then offset else table x)
offsetTable (Table table) name = table name
